Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-6395981

JSR 199: JavaCompilerTool and Tool must specify version of JLS and JVMS

    XMLWordPrintable

Details

    • Bug
    • Resolution: Fixed
    • P2
    • 6
    • 6
    • tools
    • b81
    • generic
    • generic
    • Verified

    Description

      After 6327885 JavaCompilerTool and Tool will include wording like this:

       * <p>An object implementing this interface must implement the Java
       * Language Specification and generate class files conforming to the
       * Java Virtual Machine specification. It must support the latest
       * versions of these specifications that are supported by the Java
       * virtual machine in which the object is created.

      However, which version of the JLS or JVMS?

      One possible solution to this problem is to have a method which returns
      a list of supported source versions.

      Attachments

        Issue Links

          Activity

            People

              ahe Peter Ahe
              ahe Peter Ahe
              Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

                Created:
                Updated:
                Resolved:
                Imported:
                Indexed: